---
updatedAt: 2026-09-04T07:06:48.000Z
agentTools:
  projectIndex: https://documentation.indigitall.com/llms.txt
---

# Update agent

Update information of a specific agent for the contact center of a given application.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0.0",
    "title": "INDIGITALL API",
    "x-logo": {
      "url": "https://console.indigitall.com/images/logo_verdeblanco@2x.png",
      "backgroundColor": "#0F3B7A"
    },
    "description": "\n### Introduction:\nThis documentation describes every endpoint of Indigitall's API v2\n\nAPI BASE URL: https://api.indigitall.com/v2\n\n### Authentication:\n\nMost of the endpoints of the API needs an Authorization header.\n\nThere are two Authorization ways:\n\n- If your intention is to manage API calls with a server-side script you have to create a Server key through Indigitall's console.\n\n  You can set the following Authorization Header : 'Authorization: ServerKey {ServerKey}'\n- If your intention is to integrate this API for front-end users POST /auth endpoint authorizes a user and returns an access token.\n\n  You can set the following Authorization Header : 'Authorization: Bearer {Token}'\n"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "chat-cc-agent",
      "x-displayName": "Chat - CC Agent",
      "description": "Endpoints to manage Contact Center agents for chat-service-v2"
    }
  ],
  "x-tagGroups": [
    {
      "name": "Chat Service",
      "tags": [
        "chat-configuration",
        "chat-channel",
        "chat-contact",
        "chat-integration",
        "chat-task",
        "chat-campaign",
        "chat-send",
        "chat-multimedia",
        "chat-slicing",
        "chat-tag",
        "chat-contact-list",
        "chat-cc-agent",
        "chat-cc-permissions-profile",
        "chat-cc-weekly-schedule",
        "chat-cc-special-days-schedule",
        "chat-cc-conversation",
        "chat-cc-agent-group",
        "chat-cc-contact-comment",
        "chat-cc-form",
        "chat-stats",
        "chat-internal"
      ]
    },
    {
      "name": "Customer Service",
      "tags": [
        "customer-service-adviser",
        "customer-service-customer",
        "customer-service-customer-csv",
        "customer-service-customer-field",
        "customer-service-customer-journey",
        "customer-service-customer-journey-template",
        "customer-service-customer-journey-control",
        "customer-service-customer-send",
        "customer-service-stats",
        "customer-service-webhook-template",
        "customer-service-segment",
        "customer-service-audience",
        "customer-service-application",
        "customer-service-journeywaitqueue",
        "customer-service-task",
        "customer-service-cdpeventtype",
        "customer-service-cdpeventtypetemplate",
        "customer-service-internal"
      ]
    },
    {
      "name": "Email Service",
      "tags": [
        "es-configuration",
        "es-configurationDomain",
        "es-configurationDomainEmail",
        "es-footer",
        "es-audience",
        "es-contact",
        "es-category",
        "es-campaign",
        "es-campaign-block",
        "es-campaign block-column",
        "es-campaign-multimedia",
        "es-shipment",
        "es-attachment",
        "es-statistics",
        "es-webhook",
        "es-tasks"
      ]
    },
    {
      "name": "InApp Service",
      "tags": [
        "inapp-configuration",
        "inapp-campaign",
        "inapp-schema",
        "inapp-topic",
        "inapp-multimedia",
        "inapp-form",
        "inapp-stats",
        "inapp-audience",
        "inapp-task"
      ]
    },
    {
      "name": "SMS Service",
      "tags": [
        "sms-campaign",
        "sms-configuration",
        "sms-contact",
        "sms-send",
        "sms-stats",
        "sms-topic",
        "sms-cost",
        "sms-webhook",
        "sms-private"
      ]
    },
    {
      "name": "Wallet Service",
      "tags": [
        "wallet-project",
        "wallet-images",
        "wallet-tasks",
        "wallet-notifications",
        "wallet-template",
        "wallet-loyalty-pass",
        "wallet-loyalty-template",
        "wallet-offer-pass",
        "wallet-offer-template",
        "wallet-generic-pass",
        "wallet-generic-template"
      ]
    },
    {
      "name": "Stats Service",
      "tags": [
        "stats-service-chat",
        "stats-service-cs",
        "stats-service-report",
        "stats-service-wallet",
        "stats-service-meta"
      ]
    },
    {
      "name": "ChatGen service",
      "tags": [
        "icc-chatgen-gateway-agent",
        "icc-chatgen-gateway-api-tool",
        "icc-chatgen-gateway-configured-custom-tool",
        "icc-chatgen-gateway-conversation",
        "icc-chatgen-gateway-custom-tool",
        "icc-chatgen-gateway-document",
        "icc-chatgen-gateway-file",
        "icc-chatgen-gateway-instance-config",
        "icc-chatgen-gateway-router-agent-tool",
        "icc-chatgen-gateway-router-agent"
      ]
    },
    {
      "name": "AI Assitant service",
      "tags": [
        "ai-generator-campaign"
      ]
    },
    {
      "name": "Meta Service",
      "tags": [
        "meta-cloudapi",
        "meta-configuration",
        "meta-webhook",
        "meta-business",
        "meta-templates",
        "meta-upload"
      ]
    },
    {
      "name": "Push Live Service",
      "tags": [
        "push-live-configuration",
        "push-live-ios-class",
        "push-live-activity",
        "push-live-send"
      ]
    },
    {
      "name": "Pathbot",
      "tags": [
        "pathbot-agents",
        "pathbot-applications",
        "pathbot-documents",
        "pathbot-flows",
        "pathbot-tools",
        "pathbot-nodes",
        "pathbot-ingestion-sources",
        "pathbot-evaluation",
        "pathbot-skills"
      ]
    },
    {
      "name": "Link Service",
      "tags": [
        "link-short-domain"
      ]
    }
  ],
  "servers": [
    {
      "url": "https://api.indigitall.com/v2"
    }
  ],
  "paths": {
    "/chat/{applicationId}/contactCenter/agent/{agentId}": {
      "put": {
        "tags": [
          "chat-cc-agent"
        ],
        "summary": "Update agent",
        "description": "Update information of a specific agent for the contact center of a given application.",
        "x-eov-operation-handler": "ccAgent.controller",
        "x-gateway-endpoint": "chatServiceV2",
        "operationId": "updateCcAgent",
        "x-gateway-check-permission": {
          "account-features": [
            "CHAT_V2_ENABLED"
          ]
        },
        "parameters": [
          {
            "$ref": "#/components/parameters/CHS_ApplicationId_PathParameter"
          },
          {
            "$ref": "#/components/parameters/CHS_CcAgent_Id_PathParameter"
          }
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/CHS_CcAgent_Update_Body"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/CHS_CcAgent_Response"
          },
          "400": {
            "$ref": "#/components/responses/CHS_BadRequest_Response"
          },
          "403": {
            "$ref": "#/components/responses/CHS_Forbidden_Response"
          },
          "404": {
            "$ref": "#/components/responses/CHS_NotFound_Response"
          },
          "409": {
            "$ref": "#/components/responses/CHS_Conflict_Response"
          },
          "500": {
            "$ref": "#/components/responses/CHS_ServerError_Response"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Authorization for accesing endpoints , must be in one of the following format:\n- **Bearer {token}**\n- **ServerKey {key}**\n"
      }
    },
    "schemas": {
      "CHS_Id_Property": {
        "type": "integer",
        "format": "int32",
        "minimum": 0,
        "description": "Identifier",
        "example": 1234
      },
      "CHS_ApplicationId_Property": {
        "type": "integer",
        "format": "int32",
        "minimum": 0,
        "description": "Application identifier",
        "example": 1234
      },
      "CHS_AccountId_Property": {
        "type": "integer",
        "format": "int32",
        "minimum": 0,
        "description": "Account identifier",
        "example": 456
      },
      "CHS_DateTime_Property": {
        "type": "string",
        "format": "date-time",
        "description": "Date and time",
        "example": "2021-08-25T15:00:00Z"
      },
      "CHS_CcAgent_Schema": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "$ref": "#/components/schemas/CHS_CcAgent_Id_Property"
          },
          "createdAt": {
            "$ref": "#/components/schemas/CHS_CcAgent_CreatedAt_Property"
          },
          "updatedAt": {
            "$ref": "#/components/schemas/CHS_CcAgent_UpdatedAt_Property"
          },
          "applicationId": {
            "$ref": "#/components/schemas/CHS_ApplicationId_Property"
          },
          "webUserId": {
            "$ref": "#/components/schemas/CHS_CcAgent_WebUserId_Property"
          },
          "name": {
            "$ref": "#/components/schemas/CHS_CcAgent_Name_Property"
          },
          "imageUrl": {
            "$ref": "#/components/schemas/CHS_CcAgent_ImageUrl_Property"
          },
          "enabled": {
            "$ref": "#/components/schemas/CHS_CcAgent_Enabled_Property"
          },
          "permissionsProfile": {
            "$ref": "#/components/schemas/CHS_CcPermissionsProfile_Nullable_Schema"
          },
          "status": {
            "$ref": "#/components/schemas/CHS_CcAgent_Status_Property"
          },
          "connected": {
            "$ref": "#/components/schemas/CHS_CcAgent_Connected_Property"
          },
          "lastConnection": {
            "$ref": "#/components/schemas/CHS_CcAgent_ConnectionHistory_Nullable_Schema"
          },
          "activeConversationsCount": {
            "$ref": "#/components/schemas/CHS_CcAgent_ActiveConversationsCount_Property"
          },
          "maxActiveConversations": {
            "$ref": "#/components/schemas/CHS_CcAgent_MaxActiveConversations_Property"
          }
        }
      },
      "CHS_CcAgent_Id_Property": {
        "allOf": [
          {
            "description": "Agent ID"
          },
          {
            "$ref": "#/components/schemas/CHS_Id_Property"
          }
        ]
      },
      "CHS_CcAgent_CreatedAt_Property": {
        "allOf": [
          {
            "description": "Date and time when the agent was created"
          },
          {
            "$ref": "#/components/schemas/CHS_DateTime_Property"
          }
        ]
      },
      "CHS_CcAgent_UpdatedAt_Property": {
        "allOf": [
          {
            "description": "Date and time when the agent was last updated"
          },
          {
            "$ref": "#/components/schemas/CHS_DateTime_Property"
          }
        ]
      },
      "CHS_CcAgent_WebUserId_Property": {
        "type": "number",
        "description": "The unique identifier of the web user associated with the agent.\n",
        "example": 5678
      },
      "CHS_CcAgent_Name_Property": {
        "type": "string",
        "nullable": true,
        "description": "The name of the agent.\n",
        "example": "John Doe"
      },
      "CHS_CcAgent_ImageUrl_Property": {
        "type": "string",
        "format": "uri",
        "nullable": true,
        "description": "The URL of the agent's profile image.\n",
        "example": "https://example.com/images/agent123.jpg"
      },
      "CHS_CcAgent_Enabled_Property": {
        "type": "boolean",
        "description": "Indicates whether the agent is enabled or disabled.\n",
        "example": true
      },
      "CHS_CcAgent_PermissionsProfileId_Property": {
        "nullable": true,
        "type": "integer",
        "description": "The ID of the permissions profile assigned to the agent.\n",
        "example": 7890
      },
      "CHS_CcAgent_Status_Property": {
        "type": "string",
        "description": "The current status of the agent.\n",
        "enum": [
          "online",
          "offline"
        ]
      },
      "CHS_CcAgent_Connected_Property": {
        "type": "boolean",
        "description": "Indicates whether the agent is currently connected.\n",
        "example": false
      },
      "CHS_CcAgent_ConnectionHistory_Nullable_Schema": {
        "type": "object",
        "additionalProperties": false,
        "nullable": true,
        "properties": {
          "id": {
            "$ref": "#/components/schemas/CHS_CcAgentConnectionHistory_Id_Property"
          },
          "createdAt": {
            "$ref": "#/components/schemas/CHS_CcAgentConnectionHistory_CreatedAt_Property"
          },
          "updatedAt": {
            "$ref": "#/components/schemas/CHS_CcAgentConnectionHistory_UpdatedAt_Property"
          },
          "connectedAt": {
            "$ref": "#/components/schemas/CHS_CcAgentConnectionHistory_ConnectedAt_Property"
          },
          "disconnectedAt": {
            "$ref": "#/components/schemas/CHS_CcAgentConnectionHistory_DisconnectedAt_Property"
          },
          "userAgent": {
            "$ref": "#/components/schemas/CHS_CcAgentConnectionHistory_UserAgent_Property"
          },
          "ipAddress": {
            "$ref": "#/components/schemas/CHS_CcAgent_ConnectionHistory_IpAddress_Property"
          }
        }
      },
      "CHS_CcAgentConnectionHistory_Id_Property": {
        "allOf": [
          {
            "description": "Agent Connection History ID"
          },
          {
            "$ref": "#/components/schemas/CHS_Id_Property"
          }
        ]
      },
      "CHS_CcAgentConnectionHistory_CreatedAt_Property": {
        "allOf": [
          {
            "description": "Date and time when the agent was created"
          },
          {
            "$ref": "#/components/schemas/CHS_DateTime_Property"
          }
        ]
      },
      "CHS_CcAgentConnectionHistory_UpdatedAt_Property": {
        "allOf": [
          {
            "description": "Date and time when the agent was last updated"
          },
          {
            "$ref": "#/components/schemas/CHS_DateTime_Property"
          }
        ]
      },
      "CHS_CcAgentConnectionHistory_ConnectedAt_Property": {
        "allOf": [
          {
            "description": "Date and time when the agent connected"
          },
          {
            "$ref": "#/components/schemas/CHS_DateTime_Property"
          }
        ]
      },
      "CHS_CcAgentConnectionHistory_DisconnectedAt_Property": {
        "type": "string",
        "nullable": true,
        "format": "date-time",
        "description": "Date and time when the agent disconnected\n",
        "example": "2024-01-15T10:30:00Z"
      },
      "CHS_CcAgentConnectionHistory_UserAgent_Property": {
        "type": "string",
        "description": "The user agent string of the agent's connection.\n",
        "example": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36"
      },
      "CHS_CcAgent_ConnectionHistory_IpAddress_Property": {
        "type": "string",
        "description": "The IP address of the agent's connection.\n",
        "example": "201.123.15.1"
      },
      "CHS_CcAgent_ActiveConversationsCount_Property": {
        "type": "integer",
        "description": "The number of active conversations currently assigned to the agent.\n",
        "example": 3
      },
      "CHS_CcAgent_MaxActiveConversations_Property": {
        "type": "integer",
        "description": "The maximum number of active conversations that can be assigned to the agent.\n",
        "example": 5
      },
      "CHS_CcPermissionsProfile_Nullable_Schema": {
        "type": "object",
        "additionalProperties": false,
        "nullable": true,
        "properties": {
          "id": {
            "$ref": "#/components/schemas/CHS_CcPermissionsProfile_Id_Property"
          },
          "createdAt": {
            "$ref": "#/components/schemas/CHS_CcPermissionsProfile_CreatedAt_Property"
          },
          "updatedAt": {
            "$ref": "#/components/schemas/CHS_CcPermissionsProfile_UpdatedAt_Property"
          },
          "accountId": {
            "$ref": "#/components/schemas/CHS_AccountId_Property"
          },
          "applicationIds": {
            "$ref": "#/components/schemas/CHS_CcPermissionsProfile_ApplicationIds_Property"
          },
          "name": {
            "$ref": "#/components/schemas/CHS_CcPermissionsProfile_Name_Property"
          },
          "description": {
            "$ref": "#/components/schemas/CHS_CcPermissionsProfile_Description_Property"
          },
          "permissions": {
            "$ref": "#/components/schemas/CHS_CcPermissionsProfile_Permissions_Property"
          }
        }
      },
      "CHS_CcPermissionsProfile_Id_Property": {
        "allOf": [
          {
            "description": "Permissions Profile ID"
          },
          {
            "$ref": "#/components/schemas/CHS_Id_Property"
          }
        ]
      },
      "CHS_CcPermissionsProfile_CreatedAt_Property": {
        "allOf": [
          {
            "description": "Date and time when the permissions profile was created"
          },
          {
            "$ref": "#/components/schemas/CHS_DateTime_Property"
          }
        ]
      },
      "CHS_CcPermissionsProfile_UpdatedAt_Property": {
        "allOf": [
          {
            "description": "Date and time when the permissions profile was last updated"
          },
          {
            "$ref": "#/components/schemas/CHS_DateTime_Property"
          }
        ]
      },
      "CHS_CcPermissionsProfile_ApplicationIds_Property": {
        "type": "array",
        "description": "Application IDs associated with this permissions profile.\n",
        "items": {
          "type": "integer",
          "format": "int32"
        },
        "example": [
          1234,
          5678
        ]
      },
      "CHS_CcPermissionsProfile_Name_Property": {
        "type": "string",
        "description": "The name of the permissions profile.\n",
        "example": "Support Agent Profile"
      },
      "CHS_CcPermissionsProfile_Description_Property": {
        "type": "string",
        "nullable": true,
        "description": "A brief description of the permissions profile.\n",
        "example": "Permissions profile for support agents with limited access."
      },
      "CHS_CcPermissionsProfile_Permissions_Property": {
        "type": "array",
        "description": "A list of permissions assigned to this profile.\n\n**Online Status:**\n- `AGENT_CAN_BE_ONLINE`: Allow an agent to be online\n\n**Assignment:**\n- `AGENT_CAN_BE_ASSIGNED_TO_CONVERSATION`: Allow an agent to be assigned to a conversation\n- `AGENT_CAN_ASSIGN_CONVERSATIONS`: Allow an agent to assign a conversation to themselves or to another agent\n\n**List Conversations:**\n- `AGENT_CAN_LIST_OWN_CONVERSATIONS`: Allow an agent to list their own conversations\n- `AGENT_CAN_LIST_GROUP_CONVERSATIONS`: Allow an agent to list conversations assigned to agents in their group\n- `AGENT_CAN_LIST_ALL_CONVERSATIONS`: Allow an agent to list all conversations in the application\n\n**List Contacts:**\n- `AGENT_CAN_LIST_CONTACTS`: Allow an agent to list contacts\n\n**Close Conversations:**\n- `AGENT_CAN_CLOSE_OWN_CONVERSATIONS`: Allow an agent to close their own conversations\n- `AGENT_CAN_CLOSE_GROUP_CONVERSATIONS`: Allow an agent to close conversations assigned to agents in their group\n- `AGENT_CAN_CLOSE_ALL_CONVERSATIONS`: Allow an agent to close all conversations in the application\n\n**Transfer Conversations:**\n- `AGENT_CAN_TRANSFER_OWN_CONVERSATIONS`: Allow an agent to transfer their own conversations to another agent\n- `AGENT_CAN_TRANSFER_GROUP_CONVERSATIONS`: Allow an agent to transfer conversations assigned to agents in their group to another agent\n- `AGENT_CAN_TRANSFER_ALL_CONVERSATIONS`: Allow an agent to transfer all conversations in the application to another agent\n- `AGENT_CAN_TRANSFER_TO_OFFLINE_AGENT`: Allow an agent to transfer conversations to a offline agent\n\n**Send Messages:**\n- `AGENT_CAN_SEND_MESSAGES_OWN_CONVERSATIONS`: Allow an agent to send messages in their own conversations\n- `AGENT_CAN_SEND_MESSAGES_GROUP_CONVERSATIONS`: Allow an agent to send messages in conversations assigned to agents in their group\n- `AGENT_CAN_SEND_MESSAGES_ALL_CONVERSATIONS`: Allow an agent to send messages in all conversations in the application\n\n**Delete Conversation Messages:**\n- `AGENT_CAN_DELETE_CONVERSATION_MESSAGES_OWN_CONVERSATIONS`: Allow an agent to delete messages in their own conversations\n- `AGENT_CAN_DELETE_CONVERSATION_MESSAGES_GROUP_CONVERSATIONS`: Allow an agent to delete messages in conversations assigned to agents in their group\n- `AGENT_CAN_DELETE_CONVERSATION_MESSAGES_ALL_CONVERSATIONS`: Allow an agent to delete messages in all conversations in the application\n\n**Tag Management:**\n- `AGENT_CAN_ASSIGN_TAGS_TO_CONTACTS`: Allow an agent to assign tags to contacts\n- `AGENT_CAN_UNASSIGN_TAGS_FROM_CONTACTS`: Allow an agent to unassign tags from contacts\n- `AGENT_CAN_CREATE_TAGS`: Allow an agent to create new tags\n- `AGENT_CAN_UPDATE_TAGS`: Allow an agent to update existing tags\n- `AGENT_CAN_DELETE_TAGS`: Allow an agent to delete tags\n\n**Admin Permissions:**\n- `AGENT_CAN_ADMIN_AGENTS`: Allow an agent to manage other agents\n- `AGENT_CAN_ADMIN_CONTACTS`: Allow an agent to manage contacts\n- `AGENT_CAN_ADMIN_CONVERSATIONS`: Allow an agent to manage conversations\n",
        "items": {
          "type": "string",
          "enum": [
            "AGENT_CAN_BE_ONLINE",
            "AGENT_CAN_BE_ASSIGNED_TO_CONVERSATION",
            "AGENT_CAN_ASSIGN_CONVERSATIONS",
            "AGENT_CAN_LIST_OWN_CONVERSATIONS",
            "AGENT_CAN_LIST_GROUP_CONVERSATIONS",
            "AGENT_CAN_LIST_ALL_CONVERSATIONS",
            "AGENT_CAN_LIST_CONTACTS",
            "AGENT_CAN_CLOSE_OWN_CONVERSATIONS",
            "AGENT_CAN_CLOSE_GROUP_CONVERSATIONS",
            "AGENT_CAN_CLOSE_ALL_CONVERSATIONS",
            "AGENT_CAN_TRANSFER_OWN_CONVERSATIONS",
            "AGENT_CAN_TRANSFER_GROUP_CONVERSATIONS",
            "AGENT_CAN_TRANSFER_ALL_CONVERSATIONS",
            "AGENT_CAN_TRANSFER_TO_OFFLINE_AGENT",
            "AGENT_CAN_SEND_MESSAGES_OWN_CONVERSATIONS",
            "AGENT_CAN_SEND_MESSAGES_GROUP_CONVERSATIONS",
            "AGENT_CAN_SEND_MESSAGES_ALL_CONVERSATIONS",
            "AGENT_CAN_DELETE_CONVERSATION_MESSAGES_OWN_CONVERSATIONS",
            "AGENT_CAN_DELETE_CONVERSATION_MESSAGES_GROUP_CONVERSATIONS",
            "AGENT_CAN_DELETE_CONVERSATION_MESSAGES_ALL_CONVERSATIONS",
            "AGENT_CAN_ASSIGN_TAGS_TO_CONTACTS",
            "AGENT_CAN_UNASSIGN_TAGS_FROM_CONTACTS",
            "AGENT_CAN_CREATE_TAGS",
            "AGENT_CAN_UPDATE_TAGS",
            "AGENT_CAN_DELETE_TAGS",
            "AGENT_CAN_ADMIN_AGENTS",
            "AGENT_CAN_ADMIN_CONTACTS",
            "AGENT_CAN_ADMIN_CONVERSATIONS"
          ]
        }
      }
    },
    "responses": {
      "CHS_NotFound_Response": {
        "description": "Not found",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 404
                },
                "errorCode": {
                  "type": "string",
                  "description": "Error code",
                  "example": "NOT_FOUND"
                },
                "message": {
                  "type": "string",
                  "description": "Error message",
                  "example": "Resource not found."
                }
              }
            }
          }
        }
      },
      "CHS_Conflict_Response": {
        "description": "Conflict",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 409
                },
                "errorCode": {
                  "type": "string",
                  "description": "Error code",
                  "example": "CONFLICT"
                },
                "message": {
                  "type": "string",
                  "description": "Error message",
                  "example": "Resource already exists."
                }
              }
            }
          }
        }
      },
      "CHS_ServerError_Response": {
        "description": "Internal server error",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 500
                },
                "errorCode": {
                  "type": "string",
                  "description": "Error code",
                  "example": "INTERNAL_SERVER_ERROR"
                },
                "message": {
                  "type": "string",
                  "description": "Error message",
                  "example": "Internal server error."
                }
              }
            }
          }
        }
      },
      "CHS_Forbidden_Response": {
        "description": "Forbidden",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 403
                },
                "errorCode": {
                  "type": "string",
                  "description": "Error code",
                  "example": "FORBIDDEN"
                },
                "message": {
                  "type": "string",
                  "description": "Error message",
                  "example": "Forbidden."
                }
              }
            }
          }
        }
      },
      "CHS_BadRequest_Response": {
        "description": "Bad request",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 400
                },
                "errorCode": {
                  "type": "string",
                  "description": "Error code",
                  "example": "BAD_REQUEST"
                },
                "message": {
                  "type": "string",
                  "description": "Error message",
                  "example": "Bad request."
                }
              }
            }
          }
        }
      },
      "CHS_CcAgent_Response": {
        "description": "Retrieve information about a specific agent for a given application",
        "content": {
          "application/json": {
            "schema": {
              "required": [
                "statusCode",
                "message",
                "data"
              ],
              "type": "object",
              "additionalProperties": false,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 200
                },
                "message": {
                  "type": "string",
                  "description": "Response message, usually OK",
                  "example": "OK"
                },
                "data": {
                  "$ref": "#/components/schemas/CHS_CcAgent_Schema"
                }
              }
            }
          }
        }
      }
    },
    "requestBodies": {
      "CHS_CcAgent_Update_Body": {
        "required": true,
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": false,
              "properties": {
                "permissionsProfileId": {
                  "$ref": "#/components/schemas/CHS_CcAgent_PermissionsProfileId_Property"
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "CHS_ApplicationId_PathParameter": {
        "in": "path",
        "name": "applicationId",
        "required": true,
        "description": "Application's ID",
        "schema": {
          "type": "integer",
          "example": 123
        }
      },
      "CHS_CcAgent_Id_PathParameter": {
        "in": "path",
        "name": "agentId",
        "required": true,
        "description": "Contact Center Agent's ID",
        "schema": {
          "type": "integer",
          "example": 456
        }
      }
    }
  }
}
```